import request from '@/utils/request'

// 查询PSSR附件列表
export function listFile(query) {
  return request({
    url: '/pssr/file/list',
    method: 'get',
    params: query
  })
}

// 查询PSSR附件详细
export function getFile(fileId) {
  return request({
    url: '/pssr/file/' + fileId,
    method: 'get'
  })
}

// 新增PSSR附件
export function addFile(data) {
  return request({
    url: '/pssr/file',
    method: 'post',
    data: data
  })
}

// 修改PSSR附件
export function updateFile(data) {
  return request({
    url: '/pssr/file',
    method: 'put',
    data: data
  })
}

//
export function updateFileBatch(data) {
  return request({
    url: '/pssr/file/editBatch',
    method: 'put',
    data: data
  })
}


// 删除PSSR附件
export function delFile(fileId) {
  return request({
    url: '/pssr/file/' + fileId,
    method: 'delete'
  })
}

// 导出PSSR附件
export function exportFile(query) {
  return request({
    url: '/pssr/file/export',
    method: 'get',
    params: query
  })
}
